DEFINITIONS
 /* EXTERNAL FUNCTIONS for accessing HASHING functions */
 
 /* compute the SHA1 160bit hash of a B value; represented as a sequence of bytes */
 EXTERNAL_FUNCTION_SHA_HASH(T) == T --> seq(INTEGER);
 SHA_HASH(value_for_sha) == [0];
 
 /* compute the SHA1 hash of a B value; represented as a hexadecimal string */
 EXTERNAL_FUNCTION_SHA_HASH_HEX(T) == T --> STRING;
 SHA_HASH_HEX(value_for_sha) == "0";
 
 EXTERNAL_FUNCTION_HASH(T) == T --> INTEGER;
 HASH(value_to_hash) == 0;
 
 /* compute the SHA1 hash of a B value; represented as a hexadecimal string */
 EXTERNAL_FUNCTION_SHA_HASH_FILE_HEX == STRING --> STRING;
 SHA_HASH_FILE_HEX(value_for_sha) == "fa923c5c0f6898bd2f2d3021a79a4b7722fd8eb9";
